# NTERA

New Technology ERA.

This is a reimplementation of the engine that runs ERA games.

# Linux

## Compiling

To compile on linux, you need dotnet 7.  Follow the instructions https://www.mono-project.com/download/stable/#download-lin

For example, in Ubuntu do:

    sudo apt-key adv --keyserver hkp://keyserver.ubuntu.com:80 --recv-keys 3FA7E0328081BFF6A14DA29AA6A19B38D3D831EF
    echo "deb https://download.mono-project.com/repo/ubuntu stable-bionic main" | sudo tee /etc/apt/sources.list.d/mono-official-stable.list
    sudo apt update

Then install:

    sudo apt install mono-devel nuget

(Note that you need 'nuget' as well.)

Now download the dependencies for NTERA:

    nuget restore

Build with:

    msbuild

## Running:

You can run with (note the MONO_IOMAP=all to make it treat files case insensitive):

    ERA=/path/to/eragame MONO_IOMAP=all mono NTERA/bin/Debug/NTERA.exe

## Development

For development, I recommend installing the optional monodevelop:

    sudo apt install monodevelop
    monodevelop NTERA.sln
